import httpRequest from '@/utils/axios'

/**
 * 获取应用列表
 */
export function getAppList(params) {
  return httpRequest.get('/api/qbs/admin/v1/questions', { params })
}
/**
 * 获取题目分类树形结构
 */
export function getQuestionCategory(params) {
  return httpRequest.get(`/api/qbs/admin/v1/question-category/tree/${params}`)
}
/**
 * 添加试题分类
 */
export function addQuestionCategory(data) {
  return httpRequest.post('/api/qbs/admin/v1/question-category', data)
}
/**
 * 更新应用
 */
export function updateQuestionCategory(id, data) {
  return httpRequest.put(`/api/qbs/admin/v1/question-category/${id}`, data)
}
/**
 * 知识点标签搜索
 */
export function searchTag(params) {
  return httpRequest.get('/api/qbs/admin/v1/knowledge-point/search/x1', { params })
}
/**
 * 新建试题
 */
export function addQuestion(data) {
  return httpRequest.post('/api/qbs/admin/v1/question', data)
}

/**
 * 删除试题
 */
export function deleteQuestion(data) {
  return httpRequest.post('/api/qbs/admin/v1/question/batch-delete', data)
}
/**
 * 更新试题
 */
export function updateQuestion(id, data) {
  return httpRequest.put(`/api/qbs/admin/v1/question/${id}`, data)
}
/**
 * 试题详情
 */
export function questionDetail(id) {
  return httpRequest.get(`/api/qbs/admin/v1/question/${id}`)
}
